Bug 602088 - [redhat-bugzilla] - Create Attachment without description Event Handle can be more sophisticated
[redhat-bugzilla] - Create Attachment without description Event Handle can be...
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: Attachments/Requests (Show other bugs)
3.6
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 02:17 EDT by Satyabrata Maitra
Modified: 2013-06-23 21:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 01:28:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Satyabrata Maitra 2010-06-09 02:17:07 EDT
Description of problem:
In my Observation, when user creates attachments without description, the current bugzilla tool reloads the page once user click on "Submit" button. And then the next page get loaded with Error "You must enter a description for the attachment". Now, if user press Back to try again, then the page get again reloaded and shows the create attachment page. Now, user need to write some description for the desired file to be attached. 
Instead of reloading page and showing error, if one pop up window appears with the error, keeping the page intact, and shows the same error and one "OK" button which can be clicked to get focus on attachment page, and the cursor should blink on the Description text field, then the page reloading time can be saved and the performance can be optimized more.
Developers, I am expecting some feedback, suggestions or your view on this. :)

Version-Release number of selected component (if applicable):
bugzilla-3.4.6+

How reproducible:
Always

Steps to Reproduce:
1. Login to https://bugzilla.redhat.com
2. Either open an existing bug or create a dummy one.
3. Go to Create New Attachment Page.
4. Browse any file to be attached.
5. Keep the Description Field Vacant. (Do not write any description)
6. Click on "Submit" Button
7. Observe the new page appears with error message.
  
Actual results:
A new page is getting reloaded with error message, which is taking reloading time and as well as roll back time to go back to the attachment page, increasing the total response time of usage for creating an attachment.

Expected results:
Instead of showing error message in another page, if one pop up window appears keeping the current page intact, with the error message, the time can be saved for reloading and roll back to main page.

Additional info:
Comment 1 Jeff Fearn 2012-05-30 00:48:27 EDT
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 2 Jeff Fearn 2012-07-19 01:28:52 EDT
As noted previously, the Bugzilla Team is cleaning up a large number of outstanding issues that have bit rotted. This bug is being closed as there has been no response to that notification.

If you believe this bug is still important please reopen this bug in the NEW status and PM will consider it.

Note You need to log in before you can comment on or make changes to this bug.